import request from '@/utils/request'

// 查询单机信息列表
export function listAeroplane(query) {
  return request({
    url: '/manage/aeroplane/list',
    method: 'get',
    params: query
  })
}

// 查询单机信息详细
export function getAeroplane(id) {
  return request({
    url: '/manage/aeroplane/' + id,
    method: 'get'
  })
}

// 新增单机信息
export function addAeroplane(data) {
  return request({
    url: '/manage/aeroplane',
    method: 'post',
    data: data
  })
}

// 修改单机信息
export function updateAeroplane(data) {
  return request({
    url: '/manage/aeroplane',
    method: 'put',
    data: data
  })
}

// 删除单机信息
export function delAeroplane(id) {
  return request({
    url: '/manage/aeroplane/' + id,
    method: 'delete'
  })
}
